IvyNodeEviction.EvictionData
Date: 2014-12-13

org.apache.ivy.core.resolve

## Class IvyNodeEviction.EvictionData

- java.lang.Object
- - org.apache.ivy.core.resolve.IvyNodeEviction.EvictionData

- Enclosing class:
    IvyNodeEviction

      public static class IvyNodeEviction.EvictionData
      extends java.lang.Object

  This class contains data about the eviction of an `IvyNode`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IvyNodeEviction.EvictionData(java.lang.String rootModuleConf, IvyNode parent, ConflictManager conflictManager, java.util.Collection selected)` Creates a new object containing the eviction data of an `IvyNode`.
    `IvyNodeEviction.EvictionData(java.lang.String rootModuleConf, IvyNode parent, ConflictManager conflictManager, java.util.Collection selected, java.lang.String detail)` Creates a new object containing the eviction data of an `IvyNode`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConflictManager` | `getConflictManager()`
    `java.lang.String` | `getDetail()`
    `IvyNode` | `getParent()`
    `java.lang.String` | `getRootModuleConf()`
    `java.util.Collection` | `getSelected()`
    `boolean` | `isTransitivelyEvicted()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IvyNodeEviction.EvictionData

          public IvyNodeEviction.EvictionData(java.lang.String rootModuleConf,
                                      IvyNode parent,
                                      ConflictManager conflictManager,
                                      java.util.Collection selected)

      Creates a new object containing the eviction data of an `IvyNode`.
      Parameters:
        `rootModuleConf` - the root module configuration
        `parent` - the parent node (or `null` in case of transitive eviction)
        `conflictManager` - the conflict manager which evicted the node (or `null` in case of transitive eviction)
        `selected` - a collection of `IvyNode`s which evict the evicted node (or `null` in case of transitive eviction)

    - #### IvyNodeEviction.EvictionData

          public IvyNodeEviction.EvictionData(java.lang.String rootModuleConf,
                                      IvyNode parent,
                                      ConflictManager conflictManager,
                                      java.util.Collection selected,
                                      java.lang.String detail)

      Creates a new object containing the eviction data of an `IvyNode`.
      Parameters:
        `rootModuleConf` - the root module configuration
        `parent` - the parent node (or `null` in case of transitive eviction)
        `conflictManager` - the conflict manager which evicted the node (or `null` in case of transitive eviction)
        `selected` - a collection of `IvyNode`s which evict the evicted node (or `null` in case of transitive eviction)
        `detail` - a String detailing the reason why the node was evicted

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getConflictManager

          public ConflictManager getConflictManager()

    - #### getParent

          public IvyNode getParent()

    - #### getSelected

          public java.util.Collection getSelected()

    - #### getRootModuleConf

          public java.lang.String getRootModuleConf()

    - #### isTransitivelyEvicted

          public boolean isTransitivelyEvicted()

    - #### getDetail

          public java.lang.String getDetail()